<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}tpl/css/style.css" media="screen">
<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}tpl/css/bootstrap-datetimepicker.min.css" media="screen">


<div id="edit-partner" class="modal fade" tabindex="-1" role="dialog">
    <form method="post">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Affiliatepartner bearbeiten</h4>
                </div>
                <div class="modal-body">
                    <input id="id" name="id" type="hidden" value="" />

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="cName">Affiliatename</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" name="cName" id="cName" type="text" value="" required>
                        </span>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="cParameter">Affiliateparameter</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" name="cParameter" id="cParameter" type="text" value="jsta" required>
                        </span>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="cWert">Parameterwert</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" name="cWert" id="cWert" type="text" value="jsta" required>
                        </span>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon">
                            Affiliatelink
                        </span>
                        <span class="input-group-static">
                            {$URL_SHOP}?<span id="link-parameter">jsta=</span>
                        </span>
                    </div>

                    <div class="input-group" style="border-bottom: none; margin-bottom: 0; padding-bottom: 0;">
                        <span class="input-group-addon">
                            <label for="kKunde">Affiliatepartner</label>
                        </span>
                        <span class="input-group-static">
                            <span id="partner-name"></span>
                            <input type="hidden" value="" name="kKunde" id="kKunde" />
                            <button class="btn btn-default btn-sm" type="button" id="search-partner">Partner suchen</button>
                        </span>
                    </div>

                    <div class="input-group">
                        <div id="search-partner-result" style="display: none; padding-top: 15px;">
                            <span class="input-group-wrap">
                                <input id="search-partner-query" class="form-control input-sm" placeholder="E-Mail, Kundennummer..." />
                            </span>
                            <table class="table table-condensed table-hover">
                                <thead>
                                    <tr>
                                        <th>Kundennr.</th>
                                        <th>Name</th>
                                        <th>E-Mail</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="fProvisionProzent">Provision %</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" type="number" name="fProvisionProzent" id="fProvisionProzent" value="20.0" min="0.0" step="0.5" required />
                        </span>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="reset" class="btn btn-default" data-dismiss="modal">Abbrechen</button>
                    <button type="submit" class="btn btn-primary">Speichern</button>
                </div>
            </div>
        </div>
    </form>
</div>


<div class="jst-wrapper">
    <table class="table">
        <thead>
            <tr>
                <th>Affiliate-ID</th>
                <th>Name</th>
                <th>Partner</th>
                <th>Provision in %</th>
                <th>Provision Vormonat</th>
                <th>Provision aktuell</th>
                <th>Provision gesamt</th>
                <th>Aktion</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$Partner_arr item=Partner}
                {if $Partner->getKampagne->kKampagne}
                    <tr data-partner="{$Partner->id}">
                        <td>{$Partner->id}</td>
                        <td>{$Partner->getKampagne->cName|replace:'Affiliate '}</td>
                        <td>{$Partner->getKunde->cVorname} {$Partner->getKunde->cNachname}</td>
                        <td class="tright">{$Partner->getProvisionProzent->fProvision|number_format:2:",":"."}</td>
                        <td class="tright">{getLocalizedPrice preis=$Partner->getProvisionVormonat}</td>
                        <td class="tright">{getLocalizedPrice preis=$Partner->getProvisionAktuell}</td>
                        <td class="tright">{getLocalizedPrice preis=$Partner->getProvisionGesamt}</td>
                        <td>
                            <img class="edit-partner" src="{$oPlugin->cAdminmenuPfadURL}/tpl/img/bearbeiten.png" alt="Bearbeiten" title="Bearbeiten" />
                            <img class="del-partner" src="{$oPlugin->cAdminmenuPfadURL}/tpl/img/loeschen.png" alt="L&ouml;schen" title="L&ouml;schen" />
                        </td>
                    </tr>
                {/if}
            {/foreach}
        </tbody>
    </table>

    <div class="save_wrapper">
        <button class="btn btn-primary" id="btn-add-partner">Affiliatepartner erstellen</button>
    </div>
</div>

<script type="text/javascript">
    {literal}
        $(function ()
        {

            $('#edit-partner').on('show.bs.modal', function (e)
            {
                $('#edit-partner input').val('');
            });

            $('button#search-partner').click(function ()
            {
                $('div#search-partner-result').toggle();
            });

            $(document).on('click', '#search-partner-result table tbody tr', function ()
            {
                $('#edit-partner input[name=kKunde]').val($(this).data('kunde'));
                $('#edit-partner #partner-name').html($(this).find('.name').text());
                $('div#search-partner-result').toggle();
            });

            $('button#btn-add-partner').click(function ()
            {
                $('#edit-partner').modal('show');
                $('#edit-partner input[name=fProvisionProzent]').val(20.0);
                $('#edit-partner input[name=cParameter]').val('jsta');
            });

            $('.edit-partner').click(function ()
            {
                $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=get', {id: $(this).parents('tr').data('partner')}, function (result)
                {
                    if (result)
                    {
                        $('#edit-partner').modal('show');
                        $.each(result, function (k, v)
                        {
                            $('#edit-partner input[name=' + k + ']').val(v);
                        });
                        $('#edit-partner #link-parameter').html($('#edit-partner input[name=cParameter]').val() + '=' + $('#edit-partner input[name=cWert]').val());
                        if (result.kKunde > 0)
                        {
                            $('#edit-partner #partner-name').html(result.cVorname + ' ' + result.cNachname);
                        }
                    }
                });

            });

            $('.del-partner').click(function ()
            {
                if (confirm(unescape("Wirklich endg%FCltig l%F6schen%3F")))
                {
                    $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=delete', {id: $(this).parents('tr').data('partner')}, function (data)
                    {
                        window.location.replace(window.location.href);
                    });
                }
            });

            $('input#search-partner-query').keyup(function ()
            {
                if ($(this).val().trim().length > 1)
                {
                    $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=search-user', {query: $(this).val().trim()}, function (data)
                    {
                        $('#search-partner-result table > tbody').empty();
                        $.each(data, function (k, v)
                        {
                            var tr = $('<tr/>');
                            tr.attr('data-kunde', v.kKunde);
                            tr.append($('<td/>').html(v.cKundenNr));
                            tr.append($('<td class="name"/>').html(v.cVorname + ' ' + v.cNachname));
                            tr.append($('<td/>').html(v.cMail));
                            $('#search-partner-result table > tbody').append(tr);
                        });
                    });
                }
            });

            $('#edit-partner input[name=cParameter], #edit-partner input[name=cWert]').keyup(function ()
            {
                $('#edit-partner #link-parameter').html($('#edit-partner input[name=cParameter]').val() + '=' + $('#edit-partner input[name=cWert]').val());
            });

            $('#edit-partner form').submit(function (e)
            {
                e.preventDefault();

                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=save', $('#edit-partner form').serialize(), function (result)
                {
                    window.location.replace(window.location.href);
                });

                return false;
            });
        });
    {/literal}
</script>
