<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}tpl/css/style.css" media="screen">
<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}tpl/css/jquery-ui-timepicker-addon.css" media="screen">

<div id="edit-partner" title="Affiliatepartner bearbeiten" style="display: none;">
    <form method="post">
        <input id="id" name="id" type="hidden" value="" />
        <table>
            <tbody>
                <tr>
                    <td><label for="cName">Affiliatename</label></td>
                    <td><input name="cName" id="cName" type="text" value="" required></td>
                </tr>
                <tr>
                    <td><label for="cParameter">Affiliateparameter</label></td>
                    <td><input name="cParameter" id="cParameter" type="text" value="jsta" required></td>
                </tr>
                <tr>
                    <td><label for="cWert">Parameterwert</label></td>
                    <td>
                        <input name="cWert" id="cWert" type="text" value="" required>
                        <button id="gen-parameter" type="button" class="btn btn-default" title="Parameterwert generieren">Generieren</button>
                    </td>
                </tr>
                <tr>
                    <td>Affiliatelink</td>
                    <td>{$URL_SHOP}?<span id="link-parameter">jsta=</span></td>
                </tr>
                <tr>
                    <td><label for="kKunde">Affiliatepartner</label></td>
                    <td>
                        <span id="partner-name"></span>
                        <input type="hidden" value="" name="kKunde" id="kKunde" />
                        <button class="button" type="button" id="search-partner">Partner suchen</button>
                    </td>
                </tr>
                <tr id="search-partner-result" style="display: none;">
                    <td colspan="2">
                        <input id="search-partner-query" placeholder="E-Mail, Kundennummer..." />
                        <table>
                            <thead>
                                <tr>
                                    <th>Kundennr.</th>
                                    <th>Name</th>
                                    <th>E-Mail</th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td><label for="fProvisionProzent">Provision %</label></td>
                    <td>
                        <input type="number" name="fProvisionProzent" id="fProvisionProzent" value="20.0" min="0.0" step="0.5" required />
                    </td>
                </tr>
            </tbody>
            <tfoot>
                <tr>
                    <td class="save_wrapper" colspan="2"><button type="submit" value="Speichern" class="save button orange">Speichern</button></td>
                </tr>
            </tfoot>
        </table>
    </form>
</div>

<div class="jst-wrapper">
    <table>
        <thead>
            <tr>
                <th>Affiliate-ID</th>
                <th>Name</th>
                <th>Partner</th>
                <th>Provision in %*</th>
                <th>Provision Vormonat**</th>
                <th>Provision aktuell**</th>
                <th>Provision gesamt**</th>
                <th>Aktion</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$Partner_arr item=Partner}
                {if $Partner->getKampagne->kKampagne}
                    <tr data-partner="{$Partner->id}">
                        <td>{$Partner->id}</td>
                        <td>{$Partner->getKampagne->cName|replace:'Affiliate '}</td>
                        <td>{$Partner->getKunde->cVorname} {$Partner->getKunde->cNachname}</td>
                        <td class="tright">{$Partner->getProvisionProzent->fProvision|number_format:2:",":"."}</td>
                        <td class="tright">{getLocalizedPrice preis=$Partner->getProvisionVormonat}</td>
                        <td class="tright">{getLocalizedPrice preis=$Partner->getProvisionAktuell}</td>
                        <td class="tright">{getLocalizedPrice preis=$Partner->getProvisionGesamt}</td>
                        <td>
                            <img class="edit-partner" src="{$oPlugin->cAdminmenuPfadURL}/tpl/img/bearbeiten.png" alt="Bearbeiten" title="Bearbeiten" />
                            <img class="del-partner" src="{$oPlugin->cAdminmenuPfadURL}/tpl/img/loeschen.png" alt="L&ouml;schen" title="L&ouml;schen" />
                        </td>
                    </tr>
                {/if}
            {/foreach}
        </tbody>
    </table>

    <div class="save_wrapper">
        <button class="button orange" id="btn-add-partner">Affiliatepartner erstellen</button>
    </div>

    <small>
        * Aktueller Prozentsatz<br>
        ** Abgerechnete Provisionen
    </small>

</div>

<script type="text/javascript">
    {literal}
        $(function ()
        {
            $('#gen-parameter').click(function ()
            {
                $('#cWert').val(randomString(20)).trigger('keyup');
            });

            $('button#search-partner').click(function ()
            {
                $('tr#search-partner-result').toggle();
            });

            $(document).on('click', '#search-partner-result table tbody tr', function ()
            {
                $('#edit-partner input[name=kKunde]').val($(this).data('kunde'));
                $('#edit-partner #partner-name').html($(this).find('.name').text());
                $('tr#search-partner-result').toggle();
            });

            $('button#btn-add-partner').click(function ()
            {
                $('#edit-partner form .box_error').remove();
                $('#edit-partner input, #edit-partner select').val('');
                $('#edit-partner input[name=cParameter]').val('jsta');
                $('#edit-partner input[name=fProvisionProzent]').val(20.0);
                $('#edit-partner').dialog({modal: true, width: 550, height: 400});
            });

            $('.edit-partner').click(function ()
            {
                $('#edit-partner form .box_error').remove();
                $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=get', {id: $(this).parents('tr').data('partner')}, function (result)
                {
                    if (result)
                    {
                        $('#edit-partner input').val('');
                        $.each(result, function (k, v)
                        {
                            $('#edit-partner input[name=' + k + ']').val(v);
                        });
                        $('#edit-partner #link-parameter').html($('#edit-partner input[name=cParameter]').val() + '=' + $('#edit-partner input[name=cWert]').val());
                        if (result.kKunde > 0)
                        {
                            $('#edit-partner #partner-name').html(result.cVorname + ' ' + result.cNachname);
                        }
                        $('#edit-partner').dialog({modal: true, width: 550, height: 400});
                    }
                });

            });

            $('.del-partner').click(function ()
            {
                if (confirm(unescape("Wirklich endg%FCltig l%F6schen%3F")))
                {
                    $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=delete', {id: $(this).parents('tr').data('partner')}, function (data)
                    {
                        window.location.replace(window.location.href);
                    });
                }
            });

            $('input#search-partner-query').keyup(function ()
            {
                if ($(this).val().trim().length > 1)
                {
                    $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=search-user', {query: $(this).val().trim()}, function (data)
                    {
                        $('#search-partner-result table > tbody').empty();
                        $.each(data, function (k, v)
                        {
                            var tr = $('<tr/>');
                            tr.attr('data-kunde', v.kKunde);
                            tr.append($('<td/>').html(v.cKundenNr));
                            tr.append($('<td class="name"/>').html(v.cVorname + ' ' + v.cNachname));
                            tr.append($('<td/>').html(v.cMail));
                            $('#search-partner-result table > tbody').append(tr);
                        });
                    });
                }
            });

            $('#edit-partner input[name=cParameter], #edit-partner input[name=cWert]').keyup(function ()
            {
                $('#edit-partner #link-parameter').html($('#edit-partner input[name=cParameter]').val() + '=' + $('#edit-partner input[name=cWert]').val());
            });

            $('#edit-partner form').submit(function (e)
            {
                e.preventDefault();

                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=save', $('#edit-partner form').serialize(), function (result)
                {
                    $('#edit-partner form .box_error').remove();
                    if (!result.error)
                    {
                        window.location.replace(window.location.href);
                    }
                    else
                    {
                        $('#edit-partner form').append('<div class="box_error">' + result.content + '</div>');
                    }
                }, 'json');

                return false;
            });

        });

        var randomString = function (length)
        {
            var text = "";
            var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
            for (var i = 0; i < length; i++)
            {
                text += possible.charAt(Math.floor(Math.random() * possible.length));
            }
            return text;
        }

    {/literal}
</script>

