<div id="jst_ap" class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">{$Sprachvariable_arr.jst_ap_titel}</h3>
    </div>
    {foreach from=$Affiliate_arr item=Affiliate}
        <div class="panel-body">
            <label for="alink_{$Affiliate->id}">{$Sprachvariable_arr.jst_ap_label_link}</label>
            <input readonly id="alink_{$Affiliate->id}" value="{$URL_SHOP}/?{$Affiliate->getKampagne->cParameter}={$Affiliate->getKampagne->cWert}" class="form-control input-sm aflink" />
            <table class="table">
                <thead>
                    <tr>
                        <th class="col-md-3">{$Sprachvariable_arr.jst_ap_tab_vormonat}</th>
                        <th class="col-md-3">{$Sprachvariable_arr.jst_ap_tab_aktmonat}</th>
                        <th class="col-md-3">{$Sprachvariable_arr.jst_ap_tab_gesamt}</th>
                    </tr>
                </thead>
                <tbody class="small">
                    <tr id="genehmigt" {if $ZeigeProvision !== 'N'}class="tabcontent"{/if}>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionVormonat}</td>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionAktuell}</td>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionGesamt}</td>
                    </tr>
                    {if $ZeigeProvision !== 'N'}
                    <tr id="offen" class="tabcontent">
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionVormonatoffen}</td>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionAktuelloffen}</td>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionGesamtoffen}</td>
                    </tr>
                    {/if}
                </tbody>
            </table>
        </div>
    {/foreach}
    {if $ZeigeProvision !== 'N'}
        <div class="panel-body tab">
          <button id="defaultOpen" class="tablinks" onclick="openprovtab(event, 'genehmigt')">Genehmigte Provisionen</button>
          <span>|</span>
          <button class="tablinks" onclick="openprovtab(event, 'offen')">Offene Provisionen</button>
        </div>
    {/if}
    <div class="panel-body">
        <a href="jtl.php?jst_ap=detail">Detailsansicht</a>
    </div>
</div>

<script>
    {literal}
        function openprovtab(evt, id) {
            var i, tabcontent, tablinks;

            tabcontent = document.getElementsByClassName("tabcontent");
            for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
            }

            tablinks = document.getElementsByClassName("tablinks");
            for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
            }
        
            document.getElementById(id).style.display = "table-row";
            evt.currentTarget.className += " active";
        }
        document.getElementById("defaultOpen").click();
        $('input.aflink').focus(function ()
        {
            $(this).select();
        });

    {/literal}
</script>

<style>
    {literal}
        .tablinks{
          border: none;
          background: none;
        }
        .tablinks.active{
          border-bottom: 1px solid rgba(192, 192, 192, 1);
          -webkit-transition: border 500ms ease;
          -moz-transition: border 500ms ease;
          -ms-transition: border 500ms ease;
          -o-transition: border 500ms ease;
          transition: border 500ms ease; 
        }
        .tabcontent {
          display: none;
          -webkit-animation: fadeEffect 1s;
          animation: fadeEffect 1s; 
          text-align: right;
            
        }
        @-webkit-keyframes fadeEffect {
          from {opacity: 0;}
          to {opacity: 1;}
        }

        @keyframes fadeEffect {
          from {opacity: 0;}
          to {opacity: 1;}
        }
        
        input[readonly].aflink
        {
            background-color: #fff;
            cursor: initial;
        }
    {/literal}
</style>