<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}tpl/css/style.css" media="screen">
<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}tpl/css/bootstrap-datetimepicker.min.css" media="screen">


<div id="edit-partner" class="modal fade" tabindex="-1" role="dialog">
    <form method="post">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Affiliatepartner bearbeiten</h4>
                </div>
                <div class="modal-body">
                    <input id="id" name="id" type="hidden" value="" />

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="cName">Affiliatename</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" name="cName" id="cName" type="text" value="" required>
                        </span>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="cParameter">Affiliateparameter</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" name="cParameter" id="cParameter" type="text" value="jsta" required>
                        </span>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="cWert">Parameterwert</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" name="cWert" id="cWert" type="text" value="" required>
                        </span>
                        <span class="input-group-addon">
                            <button id="gen-parameter" type="button" class="btn btn-default" title="Parameterwert generieren"><i class="fa fa-refresh" aria-hidden="true"></i></button>
                        </span>
                    </div>

                    <div class="input-group">
                        <span class="input-group-addon">
                            <label for="link-parameter">Affiliatelink</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" readonly id="link-parameter" style="background-color: #fff;" value="{$URL_SHOP}?" />
                        </span>
                    </div>

                    <div class="input-group" style="border-bottom: none; margin-bottom: 0; padding-bottom: 0;">
                        <span class="input-group-addon">
                            <label for="kKunde">Affiliatepartner</label>
                        </span>
                        <span class="input-group-wrap">
                            <span id="partner-name" class="form-control"></span>
                            <input type="hidden" value="" name="kKunde" id="kKunde" />
                        </span>
                        <span class="input-group-addon">
                            <button class="btn btn-default btn-sm" type="button" id="search-partner" title="Partner suchen"><i class="fa fa-search" aria-hidden="true"></i></button>
                        </span>
                    </div>

                    <div id="search-partner-result" style="display: none; margin-top: 15px;">
                        <div class="input-group" style="border-bottom: none; padding-bottom: 0;">
                            <span class="input-group-wrap">
                                <input id="search-partner-query" class="form-control input-sm" placeholder="Nach E-Mail-Adresse oder Wawi-Kundennummer suchen" />
                            </span>
                        </div>
                        <table class="table table-condensed table-hover">
                            <thead>
                                <tr>
                                    <th>Kundennr.</th>
                                    <th>Name</th>
                                    <th>E-Mail</th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>

                    <div class="input-group" style="border-top: 1px solid #3C3C3B;; margin-top: 15px; padding-top: 15px;">
                        <span class="input-group-addon">
                            <label for="fProvision">Provision</label>
                        </span>
                        <span class="input-group-wrap">
                            <input class="form-control" type="number" name="fProvision" id="fProvision" value="20.0" min="0.0" step="0.01" required />
                        </span>
                        <span class="input-group-wrap">
                            <select class="form-control" name="cWertTyp">
                               <option value="festpreis">Betrag</option>
                               <option value="prozent">%</option>
                               </select>
                        </span>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="reset" class="btn btn-default" data-dismiss="modal">Abbrechen</button>
                    <button type="submit" class="btn btn-primary">Speichern</button>
                </div>
            </div>
        </div>
    </form>
</div>


<div class="jst-wrapper">
    <table class="table searchable">
        <thead>
            <tr>
                <th>Affiliate-ID</th>
                <th>Name</th>
                <th>Partner</th>
                <th>Provision *</th>
                <th>Provision Vormonat**</th>
                <th>Provision aktuell**</th>
                <th>Provision gesamt**</th>
                <th>Aktion</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$Partner_arr item=Partner}
                {if $Partner->getKampagne->kKampagne}
                    <tr data-partner="{$Partner->id}">
                        <td>{$Partner->id}</td>
                        <td>{$Partner->getKampagne->cName|replace:'Affiliate ':''}</td>
                        <td>{$Partner->getKunde->cVorname} {$Partner->getKunde->cNachname}</td>
                        <td class="tright">{$Partner->getProvision->fProvision|number_format:2:",":"."}{if $Partner->getProvision->cWertTyp == 'prozent'}%{elseif $Partner->getProvision->cWertTyp == 'festpreis'}&euro;{/if}</td>
                        <td class="tright">{getLocalizedPrice preis=$Partner->getProvisionVormonat}</td>
                        <td class="tright">{getLocalizedPrice preis=$Partner->getProvisionAktuell}</td>
                        <td class="tright">{getLocalizedPrice preis=$Partner->getProvisionGesamt}</td>
                        <td>
                            <img class="edit-partner" src="{$oPlugin->cAdminmenuPfadURL}/tpl/img/bearbeiten.png" alt="Bearbeiten" title="Bearbeiten" />
                            <img class="del-partner" src="{$oPlugin->cAdminmenuPfadURL}/tpl/img/loeschen.png" alt="L&ouml;schen" title="L&ouml;schen" />
                        </td>
                    </tr>
                {/if}
            {/foreach}
        </tbody>
    </table>

    <div class="save_wrapper">
        <button class="btn btn-primary" id="btn-add-partner">Affiliatepartner erstellen</button>
    </div>

    <div class="small">
        * Aktueller Provisionssatz<br>
        ** Genehmigte Provisionen
    </div>
</div>

<script type="text/javascript">
    {literal}
        $(function ()
        {
            $('input#link-parameter').focus(function ()
            {
                $(this).select();
            });

            $('#gen-parameter').click(function ()
            {
                $('#cWert').val(randomString(20)).trigger('keyup');
            });

            $('#edit-partner').on('show.bs.modal', function (e)
            {
                $('#edit-partner .modal-body .alert').remove();
                $('#partner-name').html('');
                $('#edit-partner input').val('');
                $('#edit-partner #link-parameter').val('');
            });

            $('button#search-partner').click(function ()
            {
                $('div#search-partner-result').toggle();
            });

            $(document).on('click', '#search-partner-result table tbody tr', function ()
            {
                $('#edit-partner input[name=kKunde]').val($(this).data('kunde'));
                $('#edit-partner #partner-name').html($(this).find('.name').text());
                $('div#search-partner-result').toggle();
            });

            $('button#btn-add-partner').click(function ()
            {
                $('#edit-partner').modal('show');
                $('#edit-partner input[name=fProvision]').val(20.0);
                $('#edit-partner input[name=cParameter]').val('jsta');
                $('#edit-partner #link-parameter').val('{/literal}{$URL_SHOP}{literal}?' + $('#edit-partner input[name=cParameter]').val() + '=');
            });

            $('.edit-partner').click(function ()
            {
                $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=get', {id: $(this).parents('tr').data('partner')}, function (result)
                {
                    if (result)
                    {
                        $('#edit-partner').modal('show');
                        $.each(result, function (k, v)
                        {   if(k !== 'cWertTyp'){
                               $('#edit-partner input[name=' + k + ']').val(v);

                            }
                            else{
                               $('#edit-partner select[name=' + k + ']').val(v);
                            }
                        });
                        $('#edit-partner #link-parameter').val('{/literal}{$URL_SHOP}{literal}?' + $('#edit-partner input[name=cParameter]').val() + '=' + $('#edit-partner input[name=cWert]').val());
                        if (result.kKunde > 0)
                        {
                            $('#edit-partner #partner-name').html(result.cVorname + ' ' + result.cNachname);
                        }
                    }
                });

            });

            $('.del-partner').click(function ()
            {
                if (confirm(unescape("Wirklich endg%FCltig l%F6schen%3F")))
                {
                    $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=delete', {id: $(this).parents('tr').data('partner')}, function (data)
                    {
                        window.location.replace(window.location.href);
                    });
                }
            });

            $('input#search-partner-query').keyup(function ()
            {
                if ($(this).val().trim().length > 1)
                {
                    $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=search-user', {query: $(this).val().trim()}, function (data)
                    {
                        $('#search-partner-result table > tbody').empty();
                        $.each(data, function (k, v)
                        {
                            var tr = $('<tr/>');
                            tr.attr('data-kunde', v.kKunde);
                            tr.append($('<td/>').html(v.cKundenNr));
                            tr.append($('<td class="name"/>').html(v.cVorname + ' ' + v.cNachname));
                            tr.append($('<td/>').html(v.cMail));
                            $('#search-partner-result table > tbody').append(tr);
                        });
                    });
                }
            });

            $('#edit-partner input[name=cParameter], #edit-partner input[name=cWert]').keyup(function ()
            {
                $('#edit-partner #link-parameter').val('{/literal}{$URL_SHOP}{literal}?' + $('#edit-partner input[name=cParameter]').val() + '=' + $('#edit-partner input[name=cWert]').val());
            });

            $('#edit-partner form').submit(function (e)
            {
                e.preventDefault();
                $('#edit-partner .modal-body .alert').remove();

                if (!$(this).find('#cName').val().trim() || !$(this).find('#cParameter').val().trim() || !$(this).find('#cWert').val().trim() || isNaN(parseInt($(this).find('#kKunde').val().trim())) || parseInt($(this).find('#kKunde').val().trim()) < 1 || !$(this).find('#fProvision').val().trim())
                {
                    $('#edit-partner .modal-body').append('<div class="alert alert-danger">Bitte alle Felder ausf&uuml;llen.</div>');
                    return false;
                }

                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=save', $('#edit-partner form').serialize(), function (result)
                {
                    console.log($('#edit-partner form').serialize());
                    if (!result.error)
                    {
                        window.location.replace(window.location.href);
                    }
                    else
                    {
                        $('#edit-partner .modal-body').append('<div class="alert alert-danger">' + result.content + '</div>');
                    }
                }, 'json');

                return false;
            });
        });

        var randomString = function (length)
        {
            var text = "";
            var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
            for (var i = 0; i < length; i++)
            {
                text += possible.charAt(Math.floor(Math.random() * possible.length));
            }
            return text;
        }
    {/literal}
</script>
