<table id="eval_tab" class="table">
    <thead>
        <tr>
            <th>Genehmigt am</th>
            <th>Bestellt am</th>
            <th>Bezahlt am</th>
            <th>Versandt am</th>
            <th>Bestellung</th>
            <th>Kunde</th>
            <!--th>Bestellwert</th>
            <th>Versand</th-->
            <th>Provision pro Artikel</th>
            <th>Bestellwert ohne Versand</th>
            <th>Provision</th>
        </tr>            
    </thead>
    <tbody>
        {foreach from=$Auswertung->body item=obj}
            <tr>
                <td>{$obj->Abrechnung->dAbgerechnet}</td>
                <td>{$obj->Bestellung->dErstellt}</td>
                <td>{$obj->Bestellung->dBezahltDatum}</td>
                <td>{$obj->Bestellung->dVersandDatum}</td>
                <td>{$obj->Bestellung->cBestellNr}</td>
                <td>{$obj->Kunde->cVorname|utf8_decode} {$obj->Kunde->cNachname|utf8_decode} {if $obj->Kunde->cKundenNr}({$obj->Kunde->cKundenNr}){/if}</td>
                <!--td class="tright">{$obj->Bestellung->cBestellsumme}</td>
                <td class="tright">{$obj->Bestellung->cVersandpreis}</td-->
                <td class="tright">{$obj->Bestellung->cProvision}</td>
                <td class="tright">{$obj->Bestellung->cBestellsummeOhneVersand}{if $obj->Bestellung->bKupon === true} *{/if}</td>
                <td class="tright">{$obj->Bestellung->cProvisionBetrag}{if $obj->Bestellung->bMaxProv === true} **{/if}</td>
            </tr>
        {/foreach}
    </tbody>
    <tfoot>
        <tr class="active">
            <td colspan="7" class="tright">Gesamt</td>
            <!--td class="tright">{$Auswertung->foot->cBestellsumme}</td>
            <td class="tright">{$Auswertung->foot->cVersandpreis}</td>
            <td class="tright"></td-->
            <td class="tright">{$Auswertung->foot->cBestellsummeOhneVersand}</td>
            <td class="tright">{$Auswertung->foot->cProvisionBetrag}</td>
        </tr>
    </tfoot>
</table>
<div class="small">
    * In dieser Bestellung wurde ein Kupon verwendet. Dies wirkt sich je nach Einstellung auf die Hhe der Provision aus.<br>
    ** Fr eines oder mehrere Produkte dieser Bestellung gilt ein Provisionshchstsatz. Dies wirkt sich auf die Hhe der Provision aus.
</div>
<br/>
<button class="btn btn-primary" id="csv"><i class="fa fa-download" aria-hidden="true"></i> CSV-Download</button>

<script type="text/javascript">{literal}

    $(function ()
    {
        $('button#csv').click(function ()
        {
            window.open('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=csv&' + $.param({
                id: $('#kAffiliatepartner').val(),
                dStart: $('#dStart').val(),
                dEnde: $('#dEnde').val()
            }));
            return false;
        });
    });

    {/literal}</script>
