{if $Auswertung->body}
{foreach from=$Auswertung->body item=objw}
<div id="Wk{$objw->Bestellung->kWarenkorb}" class="modal fade" tabindex="-1" role="dialog">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title">Berechnung</h4>
                        </div>
                        <div class="modal-body">
                            <div  style="margin-top: 15px;">
                                <table class="table table-condensed table-hover">
                                    <tbody>
                                        {counter start=0 skip=1 print=false}
                                        {foreach $objw->Bestellung->provisionsberechnung item=berpos}
                                            {if $berpos->Artname}
                                            <tr>
                                                <th style="background-color:#31708f;color:white;">{$berpos->Artname}</th>
                                            </tr>
                                            {/if}
                                            {foreach $berpos->PosArr item=berposstep}
                                            <tr>
                                                <th style="font-weight:200;">Schritt {counter}: {$berposstep}</th>
                                            </tr>
                                            {/foreach}
                                            {if count($objw->Bestellung->provisionsberechnung) > 1 && !$berpos@last}
                                            <tr>
                                                <th style="background-color:#4cae4c;color:white;">Zwischenergebnis: {$berpos->Value}</th>
                                            </tr>
                                            {/if}
                                        {/foreach}
                                        <tr>
                                            <th style="background-color:#3c763d;color:white;">Ergebnis: {$objw->Bestellung->cProvisionBetrag}</th>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
        
                        </div>
                    </div>
                </div>
        </div>
{/foreach}
{/if}
<table id="eval_tab" class="table">
    <thead>
        <tr>
            <th><input type="checkbox" class="check_all" /></th>
            <th>Bestellt am</th>
            <th>Bezahlt am</th>
            <th>Versandt am</th>
            <th>Bestellung</th>
            <th>Kunde</th>
            <th>{if $Provisionsbasis === "Y"}Provision pro Artikel{else}Provision pro Bestellung{/if}</th>
            <th>Bestellwert ohne Versand</th>
            <th>Provision</th>
        </tr>            
    </thead>
    <tbody>
        {foreach from=$Auswertung->body item=obj}
            <tr class="{if $obj->STATUS == $smarty.const.AFFILIATE_PROGRAMM_STATUS_PROVISION_DANGER}danger{elseif  $obj->STATUS == $smarty.const.AFFILIATE_PROGRAMM_STATUS_PROVISION_SUCCESS}success{elseif $obj->STATUS == $smarty.const.AFFILIATE_PROGRAMM_STATUS_PROVISION_WARNING}warning{/if}">
                <td><input name="kBestellung[]" type="checkbox" value="{$obj->Bestellung->kBestellung}" /></td>
                <td>{$obj->Bestellung->dErstellt}</td>
                <td>{$obj->Bestellung->dBezahltDatum}</td>
                <td>{$obj->Bestellung->dVersandDatum}</td>
                <td>{$obj->Bestellung->cBestellNr}</td>
                <td>{$obj->Kunde->cVorname|utf8_decode} {$obj->Kunde->cNachname|utf8_decode} {if $obj->Kunde->cKundenNr}({$obj->Kunde->cKundenNr}){/if}</td>
                <td class="tright">{$obj->Bestellung->cProvision}</td>
                <td class="tright">{$obj->Bestellung->cBestellsummeOhneVersand}{if $obj->Bestellung->bKupon === true} *{/if}</td>
                <td class="tright">{$obj->Bestellung->cProvisionBetrag}{if $obj->Bestellung->bMaxProv === true} **{/if} <button style="color:#333;" class="fa fa-euro" onclick="get_provisionsBerechnung({$obj->Bestellung->kWarenkorb})" title="Details"></button></td>
            </tr>
        {/foreach}
    </tbody>
    <tfoot>
        <tr class="active">
            <td colspan="7" class="tright">Gesamt</td>
            <td class="tright">{$Auswertung->foot->cBestellsummeOhneVersand}</td>
            <td class="tright">{$Auswertung->foot->cProvisionBetrag}</td>
        </tr>
        <tr>
            <td colspan="9" class="small">
                <ul id="provision-status-legende">
                    <li><span class="alert-success"></span> Bestellung wurde bezahlt und versandt. Der Provisionspuffer wurde &uuml;berschritten.</li>
                    <li><span class="alert-warning"></span> Bestellung wurde bezahlt und/oder versandt. Sp&auml;teste Bezahl- bzw. Versanddatum befindet sich noch im Pufferzeitraum.</li>
                    <li><span class="alert-danger"></span> Bestellung wurde noch nicht bezahlt oder versandt. Sollte noch nicht genehmigt werden.</li>
                </ul>
            </td>
        </tr>
    </tfoot>
</table>

<input id="kKampagne" value="{$Auswertung->info->kKampagne}" type="hidden" />
<div class="small">
    * In dieser Bestellung wurde ein Kupon verwendet. Dies wirkt sich je nach Einstellung auf die Hhe der Provision aus.<br>
    ** Fr eines oder mehrere Produkte dieser Bestellung gilt ein Provisionshchstsatz. Dies wirkt sich auf die Hhe der Provision aus.
</div>
<br/>
<div class="panel">
    <h5>Ausgew&auml;hlte Elemente:</h5>
    <button id="invoice" class="btn btn-success"><i class="fa fa-calculator" aria-hidden="true"></i> Genehmigen</button>
    <button id="ignore" class="btn btn-warning"><i class="fa fa-ban" aria-hidden="true"></i> Ignorieren</button>
</div>
<div class="alert alert-info">Dem Affiliatepartner werden nur genehmigte Provisionen angezeigt, sofern nicht anders angegeben.</div>

<script type="text/javascript">{literal}

    $(function ()
    {   
        $('button#invoice, button#ignore').click(function ()
        {
            var boxes = $('#eval_tab tbody input[type=checkbox]:checked');
            if (boxes.length > 0)
            {
                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=' + $(this).attr('id') + '&' + boxes.serialize(), function ()
                {
                    $('#offen').trigger('click');
                });
            }
            else
            {
                alert('Es wurden keine Elemente gewhlt');
            }
        });

        $('input.check_all').change(function ()
        {
            $('#eval_tab tbody input[type=checkbox]').each(function ()
            {
                $(this).prop('checked', $('input.check_all').prop('checked'));
            });
        });
    });

    {/literal}</script>
<style>
    {literal}
        .danger{
            color:#a94442;
        }
        .warning{
            color:#f3940e;
        }
        .success{
            color:#3c763d;
        }
    {/literal}
</style>
