<div id="evaluationFormprovision" class="panel panel-default">
    <div class="panel-body">
        <div class="row">
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="kAffiliatepartner">Partner</label>
                    </span>
                    <span class="input-group-wrap">
                        <select class="form-control" id="kAffiliatepartner" name="kAffiliatepartner">
                            {foreach from=$Partner_arr item=Partner}
                                {if $Partner->getKampagne->kKampagne}
                                    <option value="{$Partner->id}">{$Partner->getKunde->cVorname} {$Partner->getKunde->cNachname} ({$Partner->getKampagne->cName|replace:'Affiliate ':''})</option>
                                {/if}
                            {/foreach}
                        </select>
                    </span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="dStart">von</label>
                    </span>
                    <span class="input-group-wrap">
                        <div class="input-append date">
                            <input id="dStart" name="dStart" value="{$dStart}" type="text" class="form-control add-on" />
                        </div>
                    </span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="dEnde">bis</label>
                    </span>
                    <span class="input-group-wrap">
                        <div class="input-append date">
                            <input id="dEnde" name="dEnde" value="{$dEnde}" type="text" class="form-control add-on" />
                        </div>
                    </span>
                </div>
            </div>
        </div>
    </div>
    <div class="panel-footer">
        <button id="offen" data-action="eval" class="btn btn-default">Offene Provisionen anzeigen</button>
        <button id="ignoriert" data-action="eval_ignored" class="btn btn-default">Ignorierte Provisionen anzeigen</button>
        <button id="abgerechnet" data-action="eval_invoiced" class="btn btn-default">Genehmigte Provisionen anzeigen</button>
        <button id="ausgezahlt" data-action="eval_paid" class="btn btn-default">Ausgezahlte Provisionen anzeigen</button>
    </div>
</div>
<div id="loading-overlay" >
    <img src="{$oPlugin->cAdminmenuPfadURL}/tpl/img/ajax-loader.gif" alt="Bitte warten..." title="Bitte warten..."></img>
    <span>Daten werden geladen...</span>
</div>

<div id="dialog-action" title="">
</div>

<div id="evaluation">
</div>

<script type="text/javascript" src="{$oPlugin->cAdminmenuPfadURL}tpl/js/bootstrap-datetimepicker.min.js"></script>
<script type="text/javascript">
    {literal}
        function get_provisionsBerechnung(id)
        {
          $('#Wk' + id).modal('show');
        }
       function get_kWarenkorb(id)
       {
          $('#k' + id).modal('show');
       }
        $(function ()
        {   
            $('#evaluationFormprovision .date').datetimepicker({
                pickTime: false,
                format: 'yyyy-MM-dd'
            });

            $('#offen, #ignoriert, #abgerechnet, #ausgezahlt').click(function ()
            {   
                $('#loading-overlay').show();
                $.getScript('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?' + $.param({
                    action: $(this).data('action'),
                    id: $('#kAffiliatepartner').val(),
                    dStart: $('#dStart').val(),
                    dEnde: $('#dEnde').val()
                }),function(){
                    
                    $('#loading-overlay').hide();
                    if($('#dialog-action').html().length > 3){
                       $('#dialog-action').dialog({
                          resizable: false,
                          draggable: false,
                          title: 'Aktion erfolgreich',
                          height: "auto",
                          width: 400,
                          modal: true,
                          buttons: {
                            "Ok": function() {
                              $( this ).dialog( "close" );
                            }
                          },
                          open: function(){
                              $('#dialog-action').show();
                          },
                          close: function(){
                              $('#dialog-action').html('');
                          }
                        }); 
                    }
                    $('button#csv').click(function ()
                    {
                        window.open('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=csv&' + $.param({
                            id: $('#kAffiliatepartner').val(),
                            dStart: $('#dStart').val(),
                            dEnde: $('#dEnde').val()
                        }));
                        return false;
                    });
                    $('button#invoice, button#ignore, button#reactivate, button#payout').click(function ()
                    {   
                        var boxes = $('#eval_tab tbody input[type=checkbox]:checked');
                        if (boxes.length > 0)
                        {
                            $('#loading-overlay').show();
                            var action = $(this).attr('id');
                            $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=' + action + '&' + boxes.serialize(), function (data)
                            {   
                                switch(action){
                                    case 'invoice':
                                    case 'ignore':
                                        $('#offen').trigger('click');
                                        break;
                                    case 'reactivate':
                                        $('#ignoriert').trigger('click');
                                        break;
                                    case 'payout':
                                        $('#abgerechnet').trigger('click');
                                        break;
                                }
                                $('#dialog-action').html(data).hide();
                            });
                        }
                        else
                        {
                            alert(unescape('Es wurden keine Elemente gew%C3%A4hlt'));
                        }
                    });
                    $('input.check_all').change(function ()
                    {
                        $('#eval_tab tbody input[type=checkbox]').each(function ()
                        {
                            $(this).prop('checked', $('input.check_all').prop('checked'));
                        });
                    });
                });
            });
        });
    {/literal}
</script>
<style>
    {literal}
        .ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset { 
            text-align: center; 
            float: none; 
            
        }
        .ui-dialog{
            border: none;
            padding: 0;
        }
        .ui-icon-closethick{
            background-image: none;
        }
        .ui-dialog-titlebar .ui-button.ui-widget.ui-state-default{
            margin-right: 10px;
            color: white;
            background: transparent;
            border: none;
            text-shadow: none;
            -webkit-box-shadow: none;
            box-shadow: none;
        }
        .ui-dialog-titlebar .ui-icon-closethick,.ui-dialog-titlebar .ui-state-hover .ui-icon-closethick{
            background-image: url(templates/bootstrap/css/images/ui-icons_ffffff_256x240.png);
        }
        .ui-button.ui-button-text-only,.ui-button.ui-state-hover.ui-button-text-only{
            color: #3c763d;
            border-color: #ccc;
            outline: none;
        }
        .ui-widget-header{
            background-color: #3c763d;
        }
        .ui-state-hover{
            border-color: #ccc;
            color: inherit;
        }
        .ui-widget-header .ui-state-hover{
            border-color: #ccc;
            color: inherit;
        }
        .danger{
            color:#a94442;
        }
        .warning{
            color:#f3940e;
        }
        .success{
            color:#3c763d;
        }
    {/literal}
</style>

