ALTER TABLE `xplugin_jst_affiliate_programm_affiliatepartner` ADD `nCookieLaufzeit` int(4) NULL AFTER `kKunde`;
UPDATE xplugin_jst_affiliate_programm_affiliatepartner SET nCookieLaufzeit=(SELECT COALESCE((SELECT cWert FROM  tplugineinstellungen WHERE cName = 'jst_ap_cookie_laufzeit'), '14'));
ALTER TABLE `xplugin_jst_affiliate_programm_affiliatepartner` ADD `cLifeTime` varchar(1) NULL AFTER `nCookieLaufzeit`;
UPDATE xplugin_jst_affiliate_programm_affiliatepartner SET cLifeTime=(SELECT COALESCE((SELECT cWert FROM  tplugineinstellungen WHERE  cName = 'jst_ap_lifetime'), 'Y'));
CREATE TABLE xplugin_jst_affiliate_programm_guthaben (
    id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT,
    kAffiliatepartner int(7) NOT NULL,
    fGuthaben double DEFAULT NULL,
    dUmgewandelt datetime NOT NULL
);
ALTER TABLE `xplugin_jst_affiliate_programm_abrechnung` ADD `dAusgezahlt` DATETIME AFTER `dAbgerechnet`;
ALTER TABLE `xplugin_jst_affiliate_programm_abrechnung` ADD `fSubProvision` FLOAT AFTER `fProvisionGesamt`;
ALTER TABLE `xplugin_jst_affiliate_programm_abrechnung` ADD `aProvisionsberechnung` TEXT AFTER `fSubProvision`;
ALTER TABLE `xplugin_jst_affiliate_programm_abrechnung` ADD `aWarenkorb` TEXT AFTER `aProvisionsberechnung`;
ALTER TABLE `xplugin_jst_affiliate_programm_abrechnung` ADD `kWarenkorb` INT(11) NOT NULL DEFAULT 0 AFTER `kBestellung`;
ALTER TABLE `xplugin_jst_affiliate_programm_abrechnung` ADD `cWaehrung` varchar(20) NOT NULL DEFAULT '&euro;' AFTER `fBestellsumme`;
ALTER TABLE `xplugin_jst_affiliate_programm_abrechnung` ADD `bMaxProv` BOOLEAN NOT NULL DEFAULT false AFTER `aWarenkorb`;
ALTER TABLE `xplugin_jst_affiliate_programm_abrechnung` ADD `bKupon` BOOLEAN NOT NULL DEFAULT false AFTER `bMaxProv`;
ALTER TABLE `xplugin_jst_affiliate_programm_affiliatepartner` ADD `kSupraKunde` INT(11) AFTER `cLifeTime`;
ALTER TABLE `xplugin_jst_affiliate_programm_affiliatepartner` ADD `fSupraProvision` FLOAT AFTER `kSupraKunde`;
ALTER TABLE `xplugin_jst_affiliate_programm_warengruppe` ADD `bExcluded` boolean NOT NULL DEFAULT false AFTER `cWertTyp`;
INSERT INTO xplugin_jst_affiliate_programm_abrechnung (kKampagne, kBestellung, fBestellsumme, kWarenkorb, fVersandpreis, fProvision, cWertTyp, fProvisionGesamt, nStatus, dErstellt, dAbgerechnet, dAusgezahlt) 
SELECT kv.kKampagne, kv.kKey, kv.fWert, b.kWarenkorb, (SELECT SUM(pos.fPreis * (pos.fMwSt / 100 + 1)) FROM twarenkorbpos pos WHERE pos.nPosTyp = 2 AND pos.kWarenkorb = b.kWarenkorb),(SELECT fProvision FROM xplugin_jst_affiliate_programm_provisionswerte WHERE kAffiliatepartner = a.id  AND kv.dErstellt BETWEEN dStart AND dEnde),(SELECT cWertTyp FROM xplugin_jst_affiliate_programm_provisionswerte WHERE kAffiliatepartner = a.id AND kv.dErstellt BETWEEN dStart AND dEnde), NULL, 0, b.dErstellt, NULL, NULL FROM tkampagnevorgang AS kv LEFT JOIN xplugin_jst_affiliate_programm_affiliatepartner AS a ON kv.kKampagne=a.kKampagne LEFT JOIN tbestellung AS b ON b.kBestellung=kv.kKey WHERE kv.kKampagneDef = 4 AND kv.kKey NOT IN(SELECT kBestellung FROM xplugin_jst_affiliate_programm_abrechnung) AND a.kKampagne IS NOT NULL;
UPDATE `xplugin_jst_affiliate_programm_abrechnung` SET `fBestellsumme` = 0 WHERE nStatus = 0;