<div id="jst_ap" class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">{$Sprachvariable_arr.jst_ap_titel}</h3>
    </div>
    {foreach from=$Affiliate_arr item=Affiliate}
        <div class="panel-body">
            <label for="alink_{$Affiliate->id}">{$Sprachvariable_arr.jst_ap_label_link}</label>
            <input readonly id="alink_{$Affiliate->id}" value="{$URL_SHOP}/?{$Affiliate->getKampagne->cParameter}={$Affiliate->getKampagne->cWert}" class="form-control input-sm aflink" />
            {if $WerbeAff === 'Y'}
                <label for="alink_{$Affiliate->id}">{$Sprachvariable_arr.jst_ap_label_subaffiliate_link}</label>
                <input readonly id="alink_{$Affiliate->id}" value="{$URL_SHOP}/?affiliate_recrut={$Affiliate->id}" class="form-control input-sm aflink" />
            {/if}
            {if count($Affiliate->getKupons) > 0}
                <label for="kuponuebersicht">{$Sprachvariable_arr.jst_ap_label_kuponuebersicht}</label>
                <table id="kuponuebersicht" class="table">
                    <thead>
                        <tr>
                            <th class="col-md-3">{lang key="name" section="global"}</th>
                            <th class="col-md-3">{lang key="code" section="global"}</th>
                            <th class="col-md-3">{$Sprachvariable_arr.jst_ap_column_value}</th>
                            <th class="col-md-3">{$Sprachvariable_arr.jst_ap_column_quantity_use}</th>
                        </tr>
                    </thead>
                    <tbody class="small">
                        {foreach from=$Affiliate->getKupons item=kupon}
                            <tr id="click-count">
                                <td class="text-left">{$kupon->cName}</td>
                                <td class="text-right">{$kupon->cCode}</td>
                                <td class="text-right">{$kupon->fWert}{if $kupon->cWertTyp == 'prozent'}%{elseif $kupon->cWertTyp == 'festpreis'}&euro;{/if}</td>
                                <td class="text-right">{$kupon->nVerwendungenBisher}</td>
                            </tr>
                        {/foreach}
                    </tbody>
                </table>
            {/if}
            <br/>
            <label for="provisionsuebersicht">{$Sprachvariable_arr.jst_ap_label_provisionsuebersicht}</label>
            <table id="provisionsuebersicht" class="table">
                <thead>
                    <tr>
                        <th class="col-md-3"></th>
                        <th class="col-md-3">{$Sprachvariable_arr.jst_ap_tab_vormonat}</th>
                        <th class="col-md-3">{$Sprachvariable_arr.jst_ap_tab_aktmonat}</th>
                        <th class="col-md-3">{$Sprachvariable_arr.jst_ap_tab_gesamt}</th>
                    </tr>
                </thead>
                <tbody class="small">
                    <tr id="click-count">
                        <td class="text-left">{$Sprachvariable_arr.jst_ap_tab_klick}</td>
                        <td class="text-right">{$Affiliate->getKlicksVormonat}</td>
                        <td class="text-right">{$Affiliate->getKlicksAktuell}</td>
                        <td class="text-right">{$Affiliate->getKlicksGesamt}</td>
                    </tr>
                    <tr id="genehmigt" {if $ZeigeProvision !== 'N'}class="tabcontent"{/if}>
                        <td class="text-left">{$Sprachvariable_arr.jst_ap_tab_provision}</td>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionVormonat}</td>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionAktuell}</td>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionGesamt}</td>
                    </tr>
                    {if $ZeigeProvision !== 'N'}
                    <tr id="offen" class="tabcontent">
                        <td class="text-left">{$Sprachvariable_arr.jst_ap_tab_provision}</td>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionVormonatoffen}</td>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionAktuelloffen}</td>
                        <td class="text-right">{getLocalizedPrice preis=$Affiliate->getProvisionGesamtoffen}</td>
                    </tr>
                    {/if}
                </tbody>
            </table>
        </div>
    {/foreach}
    {if $ZeigeProvision !== 'N'}
        <div class="panel-body tab">
          <button id="defaultOpen" class="tablinks" onclick="openprovtab(event, 'genehmigt')">{$Sprachvariable_arr.jst_ap_label_provision_genehmigt_ausgezahlt}</button>
          <span>|</span>
          <button class="tablinks" onclick="openprovtab(event, 'offen')">{$Sprachvariable_arr.jst_ap_label_provision_offen}</button>
        </div>
    {/if}
    <div class="panel-body">
        <a href="jtl.php?jst_ap=detail">{$Sprachvariable_arr.jst_ap_label_detailansicht}</a>
    </div>
    {if $ProvisionUmwandeln === 'Y' && $ProvisionAutoCashout === 'N'}
        <div class="panel-body">
            <strong style="margin:20px;">Provision in Guthaben umwandeln</strong>
            <form id="transform-provision" method="post">
                <div class="panel-body" style="float:left;">
                        <input class="form-control" type="number" name="possibleGuthaben" id="pGuthaben" value="0.0" min="0.0" max="{$Affiliate->getProvisionGuthaben}" step="0.01" style="width:50%;float:left;" required />
                        <button type="button" onclick="max('#pGuthaben',parseFloat({$Affiliate->getProvisionGuthaben}).toFixed(2))" style="width:50%;height: 34px;float:left;">maximal ({getLocalizedPrice preis=$Affiliate->getProvisionGuthaben})</button>
                        <button type="submit" >Provision umwandeln</button>
                </div>
            </form>
        </div>
    {/if}
</div>
{if $ZeigeProvision !== 'N'}
<script>
    {literal}
        function openprovtab(evt, id) {
            var i, tabcontent, tablinks;

            tabcontent = document.getElementsByClassName("tabcontent");
            for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
            }

            tablinks = document.getElementsByClassName("tablinks");
            for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
            }
        
            document.getElementById(id).style.display = "table-row";
            evt.currentTarget.className += " active";
        }
        document.getElementById("defaultOpen").click();
        $('input.aflink').focus(function ()
        {
            $(this).select();
        });

    {/literal}
</script>
{/if}
{if $ProvisionUmwandeln === 'Y' && $ProvisionAutoCashout === 'N'}
<script>
    {literal}
        function max(id,max){
            $(id).val(max);
        }
        $(function ()
        {
            $('#transform-provision').submit(function()
            {
                if(confirm($("#pGuthaben").val() + unescape("\u20AC") + " Provision in Guthaben umwandeln?")){
                    $.post('{/literal}{$oPlugin->cFrontendPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=transform-provision', $('#transform-provision').serialize(), function (result)
                    {   
                        if (!result.error)
                        {
                            location.reload();
                        }
                        else
                        {
                            $('#transform-provision .panel-body').append('<div class="alert alert-danger">' + result.content + '</div>');
                        }
                    });
                }
                return false;
            });
        });
    {/literal}
</script>
{/if}
<style>
    {literal}
        label[for=kuponuebersicht]{
            margin-top: 30px;
            margin-bottom: 10px;
        }
        .tablinks{
          border: none;
          background: none;
        }
        .tablinks.active{
          border-bottom: 1px solid rgba(192, 192, 192, 1);
          -webkit-transition: border 500ms ease;
          -moz-transition: border 500ms ease;
          -ms-transition: border 500ms ease;
          -o-transition: border 500ms ease;
          transition: border 500ms ease; 
        }
        .tabcontent {
          display: none;
          -webkit-animation: fadeEffect 1s;
          animation: fadeEffect 1s; 
          text-align: right;
            
        }
        @-webkit-keyframes fadeEffect {
          from {opacity: 0;}
          to {opacity: 1;}
        }

        @keyframes fadeEffect {
          from {opacity: 0;}
          to {opacity: 1;}
        }
        
        input[readonly].aflink
        {
            background-color: #fff;
            cursor: initial;
        }
    {/literal}
</style>