<div id="assign-kunde" class="modal fade" tabindex="-1" role="dialog">
    <form method="post">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Kunde zuweisen</h4>
                </div>
                <div class="modal-body">
                    
                    <div class="input-group" style="border-bottom: none; margin-bottom: 0; padding-bottom: 0;">
                        <span class="input-group-addon">
                            <label for="Kunde">Kunde</label>
                        </span>
                        <span class="input-group-wrap">
                            <span id="kKundeName" class="form-control"></span>
                            <input id="kKundeKampagne" name="kKundeKampagne" type="hidden" value="" />
                            <input id="kkKunde" name="kkKunde" type="hidden" value="" />
                        </span>
                        <span class="input-group-addon">
                            <button class="btn btn-default btn-sm" type="button" id="search-kunde" title="Kunde suchen"><i class="fa fa-search" aria-hidden="true"></i></button>
                        </span>
                    </div>

                    <div id="search-kunde-result" style="display: none; margin-top: 15px;">
                        <div class="input-group" style="border-bottom: none; padding-bottom: 0;">
                            <span class="input-group-wrap">
                                <input id="search-kunde-query" class="form-control input-sm" placeholder="Nach Kundennummer oder E-Mail suchen" />
                            </span>
                        </div>
                        <table class="table table-condensed table-hover">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>E-Mail</th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="reset" class="btn btn-default" data-dismiss="modal">Abbrechen</button>
                    <button type="submit" class="btn btn-primary">Speichern</button>
                </div>
            </div>
        </div>
    </form>
</div>
<div id="evaluationFormkunde" class="panel panel-default">
    <div class="panel-body">
        <div class="row">
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="kAffiliatepartner">Partner</label>
                    </span>
                    <span class="input-group-wrap">
                        <select class="form-control" id="affip" name="affip">
                            {foreach from=$Partner_arr item=Partner}
                                {if $Partner->getKampagne->kKampagne}
                                    <option data-kamp="{$Partner->getKampagne->kKampagne}" value="{$Partner->getKunde->kKunde}">{$Partner->getKunde->cVorname} {$Partner->getKunde->cNachname} ({$Partner->getKampagne->cName|replace:'Affiliate ':''})</option>
                                {/if}
                            {/foreach}
                        </select>
                    </span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                   <button id="zeige-kunden" data-action="show-kunden" class="btn btn-default">Zugewiesene Kunden anzeigen</button>
                </div>
            </div>
        </div>
    </div>
</div>    
<div id="kunden">
</div>
<div class="save_wrapper">
    <button type="submit" class="btn btn-primary" id="btn-new-kunde">Kunde zuweisen</button>
</div>
<script type="text/javascript">
    {literal}
        $(function ()
        {   

            
            $('#zeige-kunden').click(function ()
            {   
                $.getScript('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?' + $.param({
                    action: $(this).data('action'),
                    id: $('#affip').val()
                }));
            });
            $('#assign-kunde').on('show.bs.modal', function (e)
            {
                $('#assign-kunde .modal-body .alert').remove();
                $('#kKundeName').html('');
                $('#kKundeKampagne').html('');
                $('#kkKunde').html('');
                $('#assign-kunde input').val('');
                $('#kKundeKampagne').val($('#affip').find('option:selected').data('kamp'));
            });

            $('button#search-kunde').click(function ()
            {
                $('div#search-kunde-result').toggle();
            });

            $(document).on('click', '#search-kunde-result table tbody tr', function ()
            {   
                $('#assign-kunde input[name=kkKunde]').val($(this).data('kunde'));
                $('#assign-kunde #kKundeName').html($(this).find('.name').text());
                $('div#search-kunde-result').toggle();
            });

            $('button#btn-new-kunde').click(function ()
            {
                $('#assign-kunde').modal('show');
            });
            
            
            $('input#search-kunde-query').keyup(function ()
            {
                if ($(this).val().trim().length > 1)
                {
                    $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=search-kunde', {query: $(this).val().trim()}, function (data)
                    {
                        $('#search-kunde-result table > tbody').empty();
                        $.each(data, function (k, v)
                        {   
                            var tr = $('<tr/>');
                            tr.attr('data-kunde', v.kKunde);
                            tr.append($('<td class="name"/>').html(v.cName));
                            tr.append($('<td/>').html(v.cMail));
                            $('#search-kunde-result table > tbody').append(tr);
                        });
                    });
                }
            });

            $('#assign-kunde form').submit(function (e)
            {
                e.preventDefault();
                $('#assign-kunde .modal-body .alert').remove();

                if (!$(this).find('#kKundeName').text())
                {
                    $('#assign-kunde .modal-body').append('<div class="alert alert-danger">Bitte w&auml;hlen Sie einen Kunden aus.</div>');
                    return false;
                }

                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=save-kunde', $('#assign-kunde form').serialize(), function (result)
                {
                    if (!result.error)
                    {
                        window.location.replace(window.location.origin + window.location.pathname + window.location.search.split('&')[0] + '&tab=Kunden');
                    }
                    else
                    {
                        $('#assign-kunde .modal-body').append('<div class="alert alert-danger">' + result.content + '</div>');
                    }
                }, 'json');

                return false;
            });
        });

    {/literal}
</script>