<div id="evaluationForm">
    <div class="item">
        <label for="kAffiliatepartner">Partner</label>
        <select id="kAffiliatepartner" name="kAffiliatepartner">
            {foreach from=$Partner_arr item=Partner}
                {if $Partner->getKampagne->kKampagne}
                    <option value="{$Partner->id}">{$Partner->getKunde->cVorname} {$Partner->getKunde->cNachname} ({$Partner->getKampagne->cName|replace:'Affiliate '})</option>
                {/if}
            {/foreach}
        </select>
    </div>

    <div class="item">
        <label for="dStart">Zeitraum</label>
        <div class="p80">
            <input type="text" id="dStart" name="dStart" value="{$dStart}" /> bis <input type="text" id="dEnde" name="dEnde" value="{$dEnde}" />
        </div>
    </div>

    <div class="item">
        <div class="m20">
            <button id="los" class="button orange">Auswertung anzeigen</button>
        </div>
    </div>
</div>

<div id="evaluation">
    <table id="eval_tab">
        <thead>
            <tr>
                <th>Bestellt am</th>
                <th>Bezahlt am</th>
                <th>Versandt am</th>
                <th>Bestellung</th>
                <th>Kunde</th>
                <th>Bestellwert</th>
                <th>Versand</th>
                <th>Bestellwert ohne Versand</th>
                <th>Provision in %</th>
                <th>Provision</th>
            </tr>            
        </thead>
        <tbody>
        </tbody>
        <tfoot>
        </tfoot>
    </table>
</div>

<script type="text/javascript" src="{$oPlugin->cAdminmenuPfadURL}tpl/js/jquery-ui-timepicker-addon.js"></script>
<script type="text/javascript">
    {literal}

        $(function ()
        {

            $('#evaluationForm input[name=dStart], #evaluationForm input[name=dEnde]').datepicker({
                dateFormat: 'yy-mm-dd',
                changeMonth: true,
                changeYear: true
            });


            $('#los').click(function ()
            {
                $.ajax({
                    url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=eval',
                    type: "POST",
                    data: {
                        id: $('#kAffiliatepartner').val(),
                        dStart: $('#dStart').val(),
                        dEnde: $('#dEnde').val()
                    },
                    dataType: 'json',
                    success: function (data)
                    {
                        if (data !== "" || data !== null)
                        {
                            $('#eval_tab > tbody').empty();
                            $.each(data.body, function (key, elem)
                            {
                                var tr = $('<tr>');
                                tr.append('<td>' + elem.Bestellung.dErstellt + '</td>');
                                tr.append('<td>' + elem.Bestellung.dBezahltDatum + '</td>');
                                tr.append('<td>' + elem.Bestellung.dVersandDatum + '</td>');
                                tr.append('<td>' + elem.Bestellung.cBestellNr + '</td>');
                                tr.append('<td>' + elem.Kunde.cVorname + ' ' + elem.Kunde.cNachname + ' (' + elem.Kunde.cKundenNr + ')</td>');
                                tr.append('<td class="tright">' + elem.Bestellung.cBestellsumme + '</td>');
                                tr.append('<td class="tright">' + elem.Bestellung.cVersandpreis + '</td>');
                                tr.append('<td class="tright">' + elem.Bestellung.cBestellsummeOhneVersand + '</td>');
                                tr.append('<td class="tright">' + elem.Bestellung.cProvisionProzent + '</td>');
                                tr.append('<td class="tright">' + elem.Bestellung.cProvisionBetrag + '</td>');
                                $('#eval_tab > tbody').append(tr);
                            });

                            var tr = $('<tr>');
                            tr.append('<td colspan="5" class="tright">Gesamt</td>');
                            tr.append('<td class="tright">' + data.foot.cBestellsumme + '</td>');
                            tr.append('<td class="tright">' + data.foot.cVersandpreis + '</td>');
                            tr.append('<td class="tright">' + data.foot.cBestellsummeOhneVersand + '</td>');
                            tr.append('<td class="tright"></td>');
                            tr.append('<td class="tright">' + data.foot.cProvisionBetrag + '</td>');
                            $('#eval_tab > tfoot').html(tr);
                        }
                    },
                    error: function (a, b)
                    {
                        alert("Fehler!");
                    }
                });
            });
        });

    {/literal}
</script>

