{include file='layout/breadcrumb.tpl'}
<div id="jst_ap" class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">{$Sprachvariable_arr.jst_ap_titel}</h3>
    </div>
    <div class="panel-body">
        <form method="get" class="form-inline">
            <div class="form-group">
                <input type="hidden" value="detail" name="jst_ap" />
                {if $Affiliate_arr|@count > 1}
                    <select name="id" class="form-control">
                        {foreach from=$Affiliate_arr item=Affiliate}
                            <option value="{$Affiliate->id}">{$Affiliate->getKampagne->cName|replace:'Affiliate ':''}</option>
                        {/foreach}
                    </select>
                {else}
                    <input type="hidden" name="id" value="{$Affiliate_arr.0->id}" />
                {/if}
            </div>
            <div class="form-group">
                <label for="exampleInputEmail1">{$Sprachvariable_arr.jst_ap_detail_von}</label>
                <input name="start" class="form-control" value="{$Details->info->dStart}" />
            </div>
            <div class="form-group">
                <label for="exampleInputEmail1">{$Sprachvariable_arr.jst_ap_detail_bis}</label>
                <input name="ende" class="form-control" value="{$Details->info->dEnde}" />
            </div>

            <input value="{lang key="filterGo"}" type="submit" class="btn btn-primary" />
        </form>

        <table class="table">
            <thead>
                <tr>
                    <th>{$Sprachvariable_arr.jst_ap_detail_bestellnr}</th>
                    <th>{$Sprachvariable_arr.jst_ap_detail_bezahlt_am}</th>
                    <th>{$Sprachvariable_arr.jst_ap_detail_versandt_am}</th>
                    <th>{$Sprachvariable_arr.jst_ap_detail_abgerechnet_am}</th>
                    <th>{$Sprachvariable_arr.jst_ap_detail_bestellwert_ohne_versand}</th>
                    <th>{$Sprachvariable_arr.jst_ap_detail_provision}</th>
                </tr>
            </thead>
            <tbody>
                {foreach from=$Details->body item=Element}
                    <tr>
                        <td>{$Element->Bestellung->cBestellNr}</td>
                        <td>{$Element->Bestellung->dBezahltDatum}</td>
                        <td>{$Element->Bestellung->dVersandDatum}</td>
                        <td>{$Element->Abrechnung->dAbgerechnet}</td>
                        <td class="text-right">{$Element->Bestellung->cBestellsummeOhneVersand}</td>
                        <td class="text-right">{$Element->Bestellung->cProvisionBetrag}</td>
                    </tr>
                {/foreach}
            </tbody>
            <tfoot>
                <tr>
                    <td class="text-right" colspan="4">Gesamt</td>
                    <td class="text-right">{$Details->foot->cBestellsummeOhneVersand}</td>
                    <td class="text-right">{$Details->foot->cProvisionBetrag}</td>
                </tr>
            </tfoot>
        </table>

        <a href="jtl.php">{lang key="back" section="global"}</a>
    </div>
</div>
