<table id="eval_tab">
    <thead>
        <tr>
            <th><input type="checkbox" class="check_all" /></th>
            <th>Bestellt am</th>
            <th>Bezahlt am</th>
            <th>Versandt am</th>
            <th>Bestellung</th>
            <th>Kunde</th>
            <!--th>Bestellwert</th>
            <th>Versand</th-->
            <th>Provision in %</th>
            <th>Bestellwert ohne Versand</th>
            <th>Provision</th>
        </tr>            
    </thead>
    <tbody>
        {foreach from=$Auswertung->body item=obj}
            <tr class="{if $obj->STATUS == $smarty.const.STATUS_PROVISION_DANGER}box_error{elseif  $obj->STATUS == $smarty.const.STATUS_PROVISION_SUCCESS}box_success{elseif $obj->STATUS == $smarty.const.STATUS_PROVISION_WARNING}box_info{/if}">
                <td><input name="kBestellung[]" type="checkbox" value="{$obj->Bestellung->kBestellung}" /></td>
                <td>{$obj->Bestellung->dErstellt}</td>
                <td>{$obj->Bestellung->dBezahltDatum}</td>
                <td>{$obj->Bestellung->dVersandDatum}</td>
                <td>{$obj->Bestellung->cBestellNr}</td>
                <td>{$obj->Kunde->cVorname} {$obj->Kunde->cNachname} ({$obj->Kunde->cKundenNr})</td>
                <!--td class="tright">{$obj->Bestellung->cBestellsumme}</td>
                <td class="tright">{$obj->Bestellung->cVersandpreis}</td-->
                <td class="tright">{$obj->Bestellung->cProvisionProzent}</td>
                <td class="tright">{$obj->Bestellung->cBestellsummeOhneVersand}</td>
                <td class="tright">{$obj->Bestellung->cProvisionBetrag}</td>
            </tr>
        {/foreach}
    </tbody>
    <tfoot>
        <tr>
            <td colspan="7" class="tright">Gesamt</td>
            <!--td class="tright">{$Auswertung->foot->cBestellsumme}</td>
            <td class="tright">{$Auswertung->foot->cVersandpreis}</td>
            <td class="tright"></td-->
            <td class="tright">{$Auswertung->foot->cBestellsummeOhneVersand}</td>
            <td class="tright">{$Auswertung->foot->cProvisionBetrag}</td>
        </tr>
        <tr>
            <td colspan="9" style="font-size: smaller; background: none;">
                <ul id="provision-status-legende">
                    <li><span class="box_success"></span> Bestellung wurde bezahlt und versandt. Der Provisionspuffer wurde &uuml;berschritten.</li>
                    <li><span class="box_info"></span> Bestellung wurde bezahlt und/oder versandt. Sp&auml;teste Bezahl- bzw. Versanddatum befindet sich noch im Pufferzeitraum.</li>
                    <li><span class="box_error"></span> Bestellung wurde noch nicht bezahlt oder versandt. Sollte noch nicht genehmigt werden.</li>
                </ul>
            </td>
        </tr>
    </tfoot>
</table>

<input id="kKampagne" value="{$Auswertung->info->kKampagne}" type="hidden" />

<div style="margin: 10px auto;">
    <h4>Ausgewhlte Elemente:</h4>
    <button id="invoice" class="button orange">Abrechnen</button>
    <button id="ignore" class="button">Ignorieren</button>
</div>
<p class="box_info">Dem Affiliatepartner werden nur genehmigte Provisionen angezeigt.</p>

<script type="text/javascript">{literal}

    $(function ()
    {
        $('button#invoice, button#ignore').click(function ()
        {
            var boxes = $('#eval_tab tbody input[type=checkbox]:checked');
            if (boxes.length > 0)
            {
                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=' + $(this).attr('id') + '&' + boxes.serialize(), function ()
                {
                    $('#offen').trigger('click');
                });
            }
            else
            {
                alert('Es wurden keine Elemente gewhlt');
            }
        });

        $('input.check_all').change(function ()
        {
            $('#eval_tab tbody input[type=checkbox]').each(function ()
            {
                $(this).prop('checked', $('input.check_all').prop('checked'));
            });
        });
    });

    {/literal}</script>
