{include file='layout/breadcrumb.tpl'}
{if $ErweiterteAnzeige === 'Y'}
    {foreach from=$Details->body item=d}
       <div id="k{$d->Bestellung->kWarenkorb}" class="modal fade" tabindex="-1" role="dialog">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title">{$Sprachvariable_arr.jst_ap_detail_warenkorb}</h4>
                        </div>
                        <div class="modal-body">
                            <div  style="margin-top: 15px;">
                                <table class="table table-condensed table-hover">
                                    <thead>
                                        <tr>
                                            <th>{lang key="product" section="global"}</th>
                                            <th>{lang key="quantity" section="global"}</th>
                                            <th>{lang key="price" section="global"}</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        {foreach $d->Bestellung->Warenkorb item=wapos}
                                        <tr>
                                            <th>{$wapos->cName}</th>
                                            <th>{$wapos->nAnzahl}</th>
                                            <th>{$wapos->fPreis}</th>
                                        </tr>
                                        {/foreach}
                                    </tbody>
                                </table>
                            </div>
        
                        </div>
                    </div>
                </div>
        </div>
    {/foreach}
    {if $Details->body}
        {foreach from=$Details->body item=objw}
        <div id="Wk{$objw->Bestellung->kWarenkorb}" class="modal fade" tabindex="-1" role="dialog">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title">{$Sprachvariable_arr.jst_ap_detail_berechnung}</h4>
                                </div>
                                <div class="modal-body">
                                    <div  style="margin-top: 15px;">
                                        <table class="table table-condensed table-hover">
                                            <tbody>
                                                {counter start=0 skip=1 print=false}
                                                {foreach $objw->Bestellung->provisionsberechnung item=berpos}
                                                    {if $berpos->Artname}
                                                    <tr>
                                                        <th style="background-color:#31708f;color:white;">{$berpos->Artname}</th>
                                                    </tr>
                                                    {/if}
                                                    {foreach $berpos->PosArr item=berposstep}
                                                    <tr>
                                                        <th style="font-weight:200;">{$Sprachvariable_arr.jst_ap_detail_schritt} {counter}: {$berposstep}</th>
                                                    </tr>
                                                    {/foreach}
                                                    {if count($objw->Bestellung->provisionsberechnung) > 1 && !$berpos@last}
                                                    <tr>
                                                        <th style="background-color:#4cae4c;color:white;">{$Sprachvariable_arr.jst_ap_detail_zwischenergebnis}: {$berpos->Value}</th>
                                                    </tr>
                                                    {/if}
                                                {/foreach}
                                                <tr>
                                                    <th style="background-color:#3c763d;color:white;">{$Sprachvariable_arr.jst_ap_detail_ergebnis}: {$objw->Bestellung->cProvisionBetrag}</th>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                
                                </div>
                            </div>
                        </div>
                </div>
        {/foreach}
    {/if}
{/if}
<div id="jst_ap" class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">{$Sprachvariable_arr.jst_ap_titel}</h3>
    </div>
    <div class="panel-body">
        <form method="get" class="form-inline">
            <div class="form-group">
                <input type="hidden" value="detail" name="jst_ap" />
                {if $Affiliate_arr|@count > 1}
                    <select name="id" class="form-control">
                        {foreach from=$Affiliate_arr item=Affiliate}
                            <option value="{$Affiliate->id}">{$Affiliate->getKampagne->cName|replace:'Affiliate ':''}</option>
                        {/foreach}
                    </select>
                {else}
                    <input type="hidden" name="id" value="{$Affiliate_arr.0->id}" />
                {/if}
            </div>
            <div class="form-group">
                <label for="start">{$Sprachvariable_arr.jst_ap_detail_von}</label>
                <input name="start" class="form-control" value="{$Details->info->dStart}" />
            </div>
            <div class="form-group">
                <label for="ende">{$Sprachvariable_arr.jst_ap_detail_bis}</label>
                <input name="ende" class="form-control" value="{$Details->info->dEnde}" />
            </div>
            {if $ZeigeProvision !== 'N'}
            <div class="form-group">
                <label for="zeige">{$Sprachvariable_arr.jst_ap_detail_zeige}</label>
                <select name="zeige" size="1">
                  <option>{$Sprachvariable_arr.jst_ap_detail_zinvoiced}</option>
                  <option {if $smarty.request.zeige === $Sprachvariable_arr.jst_ap_detail_zopen}selected{/if}>{$Sprachvariable_arr.jst_ap_detail_zopen}</option>
                </select>
            </div>
            {/if}

            <input value="{lang key="filterGo"}" type="submit" class="btn btn-primary" />
        </form>
        <table class="table">
            <thead>
                <tr>
                    {if $ErweiterteAnzeige === 'Y'}
                       <th>{$Sprachvariable_arr.jst_ap_detail_bestellt_am}</th>
                    {/if}
                    <th>{$Sprachvariable_arr.jst_ap_detail_bezahlt_am}</th>
                    <th>{$Sprachvariable_arr.jst_ap_detail_versandt_am}</th>
                    {if $ErweiterteAnzeige === 'Y'}
                       <th>{$Sprachvariable_arr.jst_ap_detail_bestellung}</th>
                    {else}
                       <th>{$Sprachvariable_arr.jst_ap_detail_bestellnr}</th>
                    {/if}
                    <th>{$Sprachvariable_arr.jst_ap_detail_abgerechnet_am}</th>
                    <th>{$Sprachvariable_arr.jst_ap_detail_bestellwert_ohne_versand}</th>
                    <th>{$Sprachvariable_arr.jst_ap_detail_provision}</th>
                </tr>
            </thead>
            <tbody>
                {foreach from=$Details->body item=Element}
                    <tr>
                        {if $ErweiterteAnzeige === 'Y'}
                           <td>{$Element->Bestellung->dErstellt}</td>
                        {/if}
                        <td>{$Element->Bestellung->dBezahltDatum}</td>
                        <td>{$Element->Bestellung->dVersandDatum}</td>
                        {if $ErweiterteAnzeige === 'Y'}
                           <td>{$Element->Bestellung->cBestellNr} <button class="fa fa-shopping-cart" onclick="get_kWarenkorb({$Element->Bestellung->kWarenkorb})"></button></td>
                        {else}
                           <td>{$Element->Bestellung->cBestellNr}</td>
                        {/if}
                        <td>{$Element->Abrechnung->dAbgerechnet}</td>
                        <td class="text-right">{$Element->Bestellung->cBestellsummeOhneVersand}{if $Element->Bestellung->bKupon === true} *{/if}</td>
                        <td class="text-right">{$Element->Bestellung->cProvisionBetrag}{if $Element->Bestellung->bMaxProv === true} **{/if}  {if $ErweiterteAnzeige === 'Y'}<button class="fa fa-euro" onclick="get_provisionsBerechnung({$Element->Bestellung->kWarenkorb})" title="Details"></button>{/if}</td>
                    </tr>
                {/foreach}
            </tbody>
            <tfoot>
                <tr>
                    {if $ErweiterteAnzeige === 'Y'}
                    <td class="text-right" colspan="4"></td>
                    {else}
                    <td class="text-right" colspan="3"></td>
                    {/if}
                    <td class="text-right" >{$Sprachvariable_arr.jst_ap_detail_gesamt}</td>
                    <td class="text-right">{$Details->foot->cBestellsummeOhneVersand}</td>
                    <td class="text-right">{$Details->foot->cProvisionBetrag}</td>
                </tr>
            </tfoot>
        </table>
        <div class="small">
            * {$Sprachvariable_arr.jst_ap_detail_notice_kupon}<br>
            **{$Sprachvariable_arr.jst_ap_detail_notice_provisionssatz}
        </div>
        <br/>
        <a href="jtl.php">{lang key="back" section="global"}</a>
    </div>
</div>
{if $ErweiterteAnzeige === 'Y'}
<script type="text/javascript">
    {literal}
            function get_provisionsBerechnung(id)
           {
              $('#Wk' + id).modal('show');
           }
           function get_kWarenkorb(id)
           {
              $('#k' + id).modal('show');
           }
    {/literal}
</script>
{/if}