{if $Auswertung->body}
{foreach from=$Auswertung->body item=objw}
<div id="Wk{$objw->Bestellung->kWarenkorb}" class="modal fade" tabindex="-1" role="dialog">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title">Berechnung</h4>
                        </div>
                        <div class="modal-body">
                            <div  style="margin-top: 15px;">
                                <table class="table table-condensed table-hover">
                                    <tbody>
                                        {counter start=0 skip=1 print=false}
                                        {foreach $objw->Bestellung->provisionsberechnung item=berpos}
                                            {if $berpos->Artname}
                                            <tr>
                                                <th style="background-color:#31708f;color:white;">{$berpos->Artname}</th>
                                            </tr>
                                            {/if}
                                            {foreach $berpos->PosArr item=berposstep}
                                            <tr>
                                                <th style="font-weight:200;">Schritt {counter}: {$berposstep}</th>
                                            </tr>
                                            {/foreach}
                                            {if count($objw->Bestellung->provisionsberechnung) > 1 && !$berpos@last}
                                            <tr>
                                                <th style="background-color:#4cae4c;color:white;">Zwischenergebnis: {$berpos->Value}</th>
                                            </tr>
                                            {/if}
                                        {/foreach}
                                        <tr>
                                            <th style="background-color:#3c763d;color:white;">Ergebnis: {$objw->Bestellung->cProvisionBetrag}</th>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
        
                        </div>
                    </div>
                </div>
        </div>
               <div id="k{$objw->Bestellung->kWarenkorb}" class="modal fade" tabindex="-1" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">{$Sprachvariable_arr.jst_ap_detail_warenkorb}</h4>
                    </div>
                    <div class="modal-body">
                        <div  style="margin-top: 15px;">
                            <table class="table table-condensed table-hover">
                                <thead>
                                    <tr>
                                        <th>{lang key="product" section="global"}</th>
                                        <th>{lang key="quantity" section="global"}</th>
                                        <th>{lang key="price" section="global"}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {foreach $objw->Bestellung->Warenkorb item=wapos}
                                    <tr>
                                        <th>{$wapos->cName}</th>
                                        <th>{$wapos->nAnzahl}</th>
                                        <th>{$wapos->fPreis}</th>
                                    </tr>
                                    {/foreach}
                                </tbody>
                            </table>
                        </div>
    
                    </div>
                </div>
            </div>
    </div>    
{/foreach}
{/if}
<table id="eval_tab" class="table">
    <thead>
        <tr>
            <th><input type="checkbox" class="check_all" /></th>
            <th>Bestellt am</th>
            <th>Bezahlt am</th>
            <th>Versandt am</th>
            <th>Bestellung</th>
            <th>Kunde</th>
            <th>{if $Provisionsbasis === "Y"}Provision pro Artikel{else}Provision pro Bestellung{/if}</th>
            <th>Bestellwert ohne Versand</th>
            <th>Provision</th>
        </tr>            
    </thead>
    <tbody>
        {foreach from=$Auswertung->body item=obj}
            <tr>
                <td><input name="Provisionid[]" type="checkbox" value="{$obj->Bestellung->id}" /></td>
                <td>{$obj->Bestellung->dErstellt}</td>
                <td>{$obj->Bestellung->dBezahltDatum}</td>
                <td>{$obj->Bestellung->dVersandDatum}</td>
                <td>{$obj->Bestellung->cBestellNr} <button class="fa fa-shopping-cart" onclick="get_kWarenkorb({$obj->Bestellung->kWarenkorb})"></td>
                <td>{$obj->Kunde->cVorname|utf8_decode} {$obj->Kunde->cNachname|utf8_decode} {if $obj->Kunde->cKundenNr}({$obj->Kunde->cKundenNr}){/if}</td>
                <td class="tright">{if $obj->Bestellung->fSubProvision}Multilevelprovision({$obj->Bestellung->cProvision}){else}{$obj->Bestellung->cProvision}{/if}</td>
                <td class="tright">{$obj->Bestellung->cBestellsummeOhneVersand}{if $obj->Bestellung->bKupon === true} *{/if}</td>
                <td class="tright">{$obj->Bestellung->cProvisionBetrag}{if $obj->Bestellung->bMaxProv === true} **{/if} <button class="fa fa-euro" onclick="get_provisionsBerechnung({$obj->Bestellung->kWarenkorb})" title="Details"></button></td>
            </tr>
        {/foreach}
    </tbody>
    <tfoot>
        <tr class="active">
            <td colspan="7" class="tright">Gesamt</td>
            <td class="tright">{$Auswertung->foot->cBestellsummeOhneVersand}</td>
            <td class="tright">{$Auswertung->foot->cProvisionBetrag}</td>
        </tr>
    </tfoot>
</table>
<div class="small">
    * In dieser Bestellung wurde ein Kupon verwendet. Dies wirkt sich je nach Einstellung auf die Hhe der Provision aus.<br>
    ** Fr eines oder mehrere Produkte dieser Bestellung gilt ein Provisionshchstsatz. Dies wirkt sich auf die Hhe der Provision aus.
</div>
<br/>
<h5>Ausgew&auml;hlte Elemente:</h5>
<button id="reactivate" class="btn btn-success"><i class="fa fa-recycle" aria-hidden="true"></i> Reaktivieren</button>