<div id="assign-kupon" class="modal fade" tabindex="-1" role="dialog">
    <form method="post">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Kupon zuweisen</h4>
                </div>
                <div class="modal-body">
                    
                    <div class="input-group" style="border-bottom: none; margin-bottom: 0; padding-bottom: 0;">
                        <span class="input-group-addon">
                            <label for="Kupon">Kupon</label>
                        </span>
                        <span class="input-group-wrap">
                            <div id="kKuponName" class="form-control"></div>
                            <input id="kKuponKampagne" name="kKuponKampagne" type="hidden" value="" />
                            <input id="kKupon" name="kKupon" type="hidden" value="" />
                        </span>
                        <span class="input-group-addon">
                            <button class="btn btn-default btn-sm" type="button" id="search-kupon" title="Kupon suchen"><i class="fa fa-search" aria-hidden="true"></i></button>
                        </span>
                    </div>

                    <div id="search-kupon-result" style="display: none; margin-top: 15px;">
                        <div class="input-group" style="border-bottom: none; padding-bottom: 0;">
                            <span class="input-group-wrap">
                                <input id="search-kupon-query" class="form-control input-sm" placeholder="Nach Name oder Code suchen" />
                            </span>
                        </div>
                        <table class="table table-condensed table-hover">
                            <thead>
                                <tr>
                                    <th>Kuponname</th>
                                    <th>Kuponcode</th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="reset" class="btn btn-default" data-dismiss="modal">Abbrechen</button>
                    <button type="submit" class="btn btn-primary">Speichern</button>
                </div>
            </div>
        </div>
    </form>
</div>
<div id="evaluationFormkupon" class="panel panel-default">
    <div class="panel-body">
        <div class="row">
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="kAffiliatepartner">Partner</label>
                    </span>
                    <span class="input-group-wrap">
                        <select class="form-control" id="affp" name="affp">
                            {foreach from=$Partner_arr item=Partner}
                                {if $Partner->getKampagne->kKampagne}
                                    <option data-kamp="{$Partner->getKampagne->kKampagne}" value="{$Partner->getKunde->kKunde}">{$Partner->getKunde->cVorname} {$Partner->getKunde->cNachname} ({$Partner->getKampagne->cName|replace:'Affiliate ':''})</option>
                                {/if}
                            {/foreach}
                        </select>
                    </span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                   <button id="zeige-kupons" data-action="show-kupons" class="btn btn-default">Zugewiesene Kupons anzeigen</button>
                </div>
            </div>
        </div>
    </div>
</div>    
<div id="kupons">
</div>
<div class="save_wrapper">
    <button type="submit" class="btn btn-primary" id="btn-new-kupon">Kupons zuweisen</button>
    <a href="{URL_SHOP}/{PFAD_ADMIN}kupons.php?kKupon=0&&cKuponTyp=standard&token={$smarty.session.jtl_token}" target="_blank" class="btn btn-primary" title="Kupon erstellen">Kupon erstellen</a>
</div>
<script type="text/javascript">
    {literal}
        function removekupon(id){
            $('#Kupon' + id).remove();
            regex = new RegExp('((^|\\D)'+ id +'(\\D|$))');
            $('#assign-kupon input[name=kKupon]').val(((($('#assign-kupon input[name=kKupon]').val().match(regex)[0].split(",").length - 1) > 1)? $('#assign-kupon input[name=kKupon]').val().replace(regex,',') : $('#assign-kupon input[name=kKupon]').val().replace(regex,'')));
        }
        $(function ()
        {   

            
            $('#zeige-kupons').click(function ()
            {
                $.getScript('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?' + $.param({
                    action: $(this).data('action'),
                    id: $('#affp').val()
                }));
            });
            $('#assign-kupon').on('show.bs.modal', function (e)
            {
                $('#assign-kupon .modal-body .alert').remove();
                $('#kKuponName').html('');
                $('#kKuponKampagne').html('');
                $('#kKupon').html('');
                $('#assign-kupon input').val('');
                $('#kKuponKampagne').val($('#affp').find('option:selected').data('kamp'));
            });

            $('button#search-kupon').click(function ()
            {
                $('div#search-kupon-result').toggle();
            });

            $(document).on('click', '#search-kupon-result table tbody tr', function ()
            {   
                if($('#assign-kupon input[name=kKupon]').val().search($(this).data('kupon')) === -1){
                    $('#assign-kupon input[name=kKupon]').val($('#assign-kupon input[name=kKupon]').val() + (($('#assign-kupon input[name=kKupon]').val())?',':'') + $(this).data('kupon'));
                    $('#assign-kupon #kKuponName').append('<span id="Kupon' + $(this).data('kupon') + '" class="kupon-tag">' + $(this).find('.name').text() + '<span class="remove-kupon" onclick="removekupon(' + $(this).data('kupon') + ')" title="Kupon entfernen">x</span></span>');
                }
            });

            $('button#btn-new-kupon').click(function ()
            {   $('#search-kupon-result table > tbody').empty();
                $('div#search-kupon-result').hide();
                $('#assign-kupon input').val('');
                $('#assign-kupon').modal('show');
            });
            
            
            $('input#search-kupon-query').keyup(function ()
            {
                if ($(this).val().trim().length > 1)
                {
                    $.getJSON('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=search-kupon', {query: $(this).val().trim()}, function (data)
                    {
                        $('#search-kupon-result table > tbody').empty();
                        $.each(data, function (k, v)
                        {   
                            var tr = $('<tr/>');
                            tr.attr('data-kupon', v.kKupon);
                            tr.append($('<td class="name"/>').html(v.cName));
                            tr.append($('<td/>').html(v.cCode));
                            $('#search-kupon-result table > tbody').append(tr);
                        });
                    });
                }
            });

            $('#assign-kupon form').submit(function (e)
            {
                e.preventDefault();
                $('#assign-kupon .modal-body .alert').remove();

                if (!$(this).find('#kKuponName').text())
                {
                    $('#assign-kupon .modal-body').append('<div class="alert alert-danger">Bitte w&auml;hlen Sie einen Kupon aus.</div>');
                    return false;
                }

                $.post('{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=save-kupon', $('#assign-kupon form').serialize(), function (result)
                {   
                    if (!result.error)
                    {
                        window.location.replace(window.location.origin + window.location.pathname + window.location.search.split('&')[0] + '&tab=Kupons');
                    }
                    else
                    {
                        $('#assign-kupon .modal-body').append('<div class="alert alert-danger">' + result.content + '</div>');
                    }
                }, 'json');

                return false;
            });
        });

    {/literal}
</script>
<style>
    {literal}
      #assign-kupon #kKuponName{
        -moz-appearance: textfield-multiline;
        -webkit-appearance: textarea;
        border: 1px solid gray;
        font: medium -moz-fixed;
        font: -webkit-small-control;
        height: 60px;
        overflow: overlay;
        padding: 2px;
        width: 400px;
      }
      .kupon-tag{
        border: 1px solid #999999;
        border-radius: 8px;
        padding: 5px;
        line-height: 3.9;
        vertical-align: middle;
        margin-right: 5px;
      }
      .remove-kupon,.remove-kupon:hover{
        color: #ccc;
        text-decoration: none;
        cursor: pointer;
      }
    {/literal}
</style>

